import '../../network_api_service/api_service/api_service.dart';
import '../../network_api_service/api_urls/api_urls.dart';

class OtpRepository {
  final ApiService _apiService = ApiService();

  Future<void> verifyOtp({
    required String emailAddress,
    required String otp,
  }) async {
    try {
      await _apiService.post(
        ApiUrls.verifyOtp,
        data: {
          "emailAddress": emailAddress,
          "otp": otp,
        },
      );
    } catch (e) {
      throw Exception('$e');
    }
  }
}